fileVerison: 1
packageType: Install
softwareName: AOCCore
softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
    all:
        dtp:
            - serviceName: DTP
              require: optional
              deployTemplate: dtp_single.json
              deployOrder: 20
        aocmain:
            - serviceName: AOCMain
              require: optional
              deployTemplate: ncecommon_aocservice.json
              deployOrder: 200
        openemframework:
            - deployOrder: 200
              deployTemplate: openemframework.json
              require: optional
              serviceName: OpenEMFramework  
        aocdb:
            - serviceName: OpenEMFramework
              require: optional
              deployTemplate: ncecommon_aoc_db.json
              deployOrder: 15
        extendedpkgrtservicedb:
            - serviceName: OpenEMFramework
              require: optional
              deployTemplate: nce_extendedpkgrtservice_aoc_db.json
              deployOrder: 15
        extendedpkgrtservice:
            - serviceName: OpenEMFramework
              require: optional
              deployTemplate: nce_extendedpkgrtservice_aoc.json
              deployOrder: 15
        aocwebsite:
            - serviceName: OpenEMFramework
              require: optional
              deployTemplate: ncecommon_aocwebsite.json
              deployOrder: 15
        southboundprotocol:
            - serviceName: SouthboundProtocol
              require: optional
              deployTemplate: southboundprotocol.json
              deployOrder: 200
        acui:
            - serviceName: ACUI
              require: optional
              deployTemplate: acui.json
              deployOrder: 20
        commoncustomgaussdb:
            - serviceName: ACCommonCustom
              require: optional
              deployTemplate: ncecommon_ac_commoncustom_gauss_db.json
              deployOrder: 5
input:
    dtp:
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
        ETCD_LIST:
            default: "192.168.1.4"
            description: "ETCD_LIST"
            type: string
            require: true
        DMQ_LIST:
            default: "192.168.1.4"
            description: "DMQ_LIST"
            type: string
            require: true
        InstanceName:
            default: "COMMON-HW"
            description: "Instance Name"
            type: string
            require: true
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
    aocmain:
        LOG_LANGUAGE_SWITCH:
            description:  'LOG_LANGUAGE_SWITCH'
            default: 'false'
            type: string
            require: true
        NcsStandalone:
            description:  'ncs deployed standalone or not'
            default: 'false'
            type: string
            require: false
        ManagedNENumberK:
            description:  'managed device numbers,unit:K'
            default: '30'
            type: string
            require: false
        SouthMicroServiceName:
            description:  'southbound microservice name '
            default: 'OpenEMTestService'
            type: string
            require: false
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
        globalBackendLBFloatIPAddr:
            description:  'Float IP address of back-end ER, left empty if not needed.'
            default: ''
            type: string
            require: false
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
        ACCESS_MODE:
            default: CloudSop
            description: AOC use cloudsop sm auth.
            require: true
            type: string
        ETCD_LIST:
            default: "192.168.1.4"
            description: "ETCD_LIST"
            type: string
            require: true
        DMQ_LIST:
            default: "192.168.1.4"
            description: "DMQ_LIST"
            type: string
            require: true
        SouthInterface:
            default: ""
            description: "The south network interface to connect to device,such as CE"
            type: string
            require: false
        InstanceName:
            default: "COMMON-HW"
            description: "Instance Name"
            type: string
            require: true  
        DEVICE_DOMAIN:
            description:  'is support device_domain or not'
            default: 'false'
            type: string
            require: false
    openemframework:
        LOG_LANGUAGE_SWITCH:
            description:  'LOG_LANGUAGE_SWITCH'
            default: 'false'
            type: string
            require: true
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
        globalBackendLBFloatIPAddr:
            description:  'Float IP address of back-end ER, left empty if not needed.'
            default: ''
            type: string
            require: false
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
        ACCESS_MODE:
            default: CloudSop
            description: AOC use cloudsop sm auth.
            require: true
            type: string
    aocdb:
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
    extendedpkgrtservicedb:
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
    extendedpkgrtservice:
        LOG_LANGUAGE_SWITCH:
            description:  'LOG_LANGUAGE_SWITCH'
            default: 'false'
            type: string
            require: true
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
        globalBackendLBFloatIPAddr:
            description:  'Float IP address of back-end ER, left empty if not needed.'
            default: ''
            type: string
            require: false
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
        ACCESS_MODE:
            default: CloudSop
            description: AOC use cloudsop sm auth.
            require: true
            type: string
    aocwebsite:
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
    southboundprotocol:
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
        enableServiceIdentity:
            description:  'The service identity config'
            default: 'false'
            type: string
            require: true
        ACCESS_MODE:
            default: CloudSop
            description: AOC use cloudsop sm auth.
            require: true
            type: string
        ETCD_LIST:
            default: "192.168.1.4"
            description: "ETCD_LIST"
            type: string
            require: true
        DMQ_LIST:
            default: "192.168.1.4"
            description: "DMQ_LIST"
            type: string
            require: true
        SouthInterface:
            default: ""
            description: "The south network interface to connect to device,such as CE"
            type: string
            require: false
        SOUTH_SECOND_INTERFACE:
            default: ""
            description: "The south double plane network interface to connect to device"
            type: string
            require: false
    acui:
        menuPath:
            default: "/accommonwebsite/config/i18n_mutil/plateform_menu/"
            description: "menu path"
            type: string
            require: true
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        breadCrumb:
            default: "false"
            description: "breadCrumb config"
            type: string
            require: true
        styleScript:
            default: "1"
            description: "accordion style config"
            type: string
            require: true
        customContext:
            default: "accommonwebsite/homepage-app"
            description: "homepage config"
            type: string
            require: true
        homepageURL:
            default: "/accommonwebsite/portal/index.html"
            description: "homepage url"
            type: string
            require: true
        productName:
            default: "BP"
            description: "product name"
            type: string
            require: true
    commoncustomgaussdb:
        regionAlias:
            description:  'regionAlias name'
            default: 'NCE'
            type: string
            require: true
        tenantName:
            description:  'product name for dbinstance'
            default: 'NCE'
            type: string
            require: true
resources:
    softwareName: 
        zh_CN: 开放可编程业务包。
        en_US: Open programmable service package.
    packageType:  
        Install:
            en_US: Install Package
            zh_CN: Install Package
    featureGroup:
        all:
            en_US: ALL
            zh_CN: ALL
    feature:        
        dtp:
            en_US: DTP Feature
            zh_CN: DTP Feature
        aocmain:
            en_US: AOCMain Feature
            zh_CN: AOCMain Feature
        openemframework:
            en_US: OpenEMFramework Feature
            zh_CN: OpenEMFramework Feature
        aocdb:
            en_US: AOC DB Feature
            zh_CN: AOC DB Feature
        extendedpkgrtservicedb:
            en_US: AOC ExtendedPkgRTService DB Feature
            zh_CN: AOC ExtendedPkgRTService DB Feature
        extendedpkgrtservice:
            en_US: AOC ExtendedPkgRTService Feature
            zh_CN: AOC ExtendedPkgRTService Feature
        aocwebsite:
            en_US: AOC Website Feature
            zh_CN: AOC Website Feature
        southboundprotocol:
            en_US: Southbound protocol Feature
            zh_CN: Southbound protocol Feature
        acui:
            en_US: ACUI Feature
            zh_CN: ACUI Feature
        commoncustomgaussdb:
            en_US: Common Custom GaussDB Feature
            zh_CN: Common Custom GaussDB Feature
    input:
        menuPath:
            en_US: menuPath
            zh_CN: menuPath
        LOG_LANGUAGE_SWITCH:
            en_US: LOG_LANGUAGE_SWITCH
            zh_CN: LOG_LANGUAGE_SWITCH
        NcsStandalone:
            en_US: NcsStandalone
            zh_CN: NCS是否独立部署
        ManagedNENumberK:
            en_US: ManagedNENumberK
            zh_CN: 管理网元数K
        SouthMicroServiceName:
            en_US: SouthMicroServiceName
            zh_CN: 南向微服务名    
        regionAlias:
            en_US: region Alias
            zh_CN: region Alias
        tenantName:
            en_US: "tenantName For DBM"
            zh_CN: "tenantName For DBM"
        enableServiceIdentity:
            en_US: enableServiceIdentity
            zh_CN: enableServiceIdentity
        globalBackendLBFloatIPAddr:
            en_US: globalBackendLBFloatIPAddr
            zh_CN: globalBackendLBFloatIPAddr
        ETCD_LIST:
            en_US: ETCD_LIST
            zh_CN: ETCD_LIST
        DMQ_LIST:
            en_US: DMQ_LIST
            zh_CN: DMQ_LIST
        SouthInterface:
            en_US: SouthInterface
            zh_CN: SouthInterface
        InstanceName:
            en_US: InstanceName
            zh_CN: InstanceName
        breadCrumb:
            en_US: breadCrumb
            zh_CN: breadCrumb
        styleScript:
            en_US: styleScript
            zh_CN: styleScript
        customContext:
            en_US: customContext
            zh_CN: customContext
        homepageURL:
            en_US: homepageURL
            zh_CN: homepageURL
        productName:
            en_US: productName
            zh_CN: productName
        SOUTH_SECOND_INTERFACE:
            en_US: SOUTH_SECOND_INTERFACE
            zh_CN: SOUTH_SECOND_INTERFACE
        DEVICE_DOMAIN:
            en_US: DEVICE_DOMAIN
            zh_CN: 是否支持分域
